var _a, _b;
import { f as __name, g as createDefaultSharedCoreModule, h as createDefaultCoreModule, m as inject, n as AbstractMermaidValueConverter, p as EmptyFileSystem, r as ArchitectureGrammarGeneratedModule, s as MermaidGeneratedSharedModule, t as AbstractMermaidTokenBuilder } from "./chunk-TCCFYFTB-d3HOqL2I.js";
var ArchitectureTokenBuilder = (_a = class extends AbstractMermaidTokenBuilder {
  constructor() {
    super(["architecture"]);
  }
}, __name(_a, "ArchitectureTokenBuilder"), _a), ArchitectureValueConverter = (_b = class extends AbstractMermaidValueConverter {
  runCustomConverter(e, l, u) {
    if (e.name === "ARCH_ICON") return l.replace(/[()]/g, "").trim();
    if (e.name === "ARCH_TEXT_ICON") return l.replace(/["()]/g, "");
    if (e.name === "ARCH_TITLE") return l.replace(/[[\]]/g, "").trim();
  }
}, __name(_b, "ArchitectureValueConverter"), _b), ArchitectureModule = { parser: {
  TokenBuilder: /* @__PURE__ */ __name(() => new ArchitectureTokenBuilder(), "TokenBuilder"),
  ValueConverter: /* @__PURE__ */ __name(() => new ArchitectureValueConverter(), "ValueConverter")
} };
function createArchitectureServices(e = EmptyFileSystem) {
  let d = inject(createDefaultSharedCoreModule(e), MermaidGeneratedSharedModule), f = inject(createDefaultCoreModule({ shared: d }), ArchitectureGrammarGeneratedModule, ArchitectureModule);
  return d.ServiceRegistry.register(f), {
    shared: d,
    Architecture: f
  };
}
__name(createArchitectureServices, "createArchitectureServices");
export {
  createArchitectureServices as n,
  ArchitectureModule as t
};
